explain_waitpid_or_die(3)

NAME
explain_waitpid_or_die - wait for process to change state and report errors
    "wait for process to change state and report errors"

SYNOPSIS
#include <libexplain/waitpid.h>

int pid = explain_waitpid_or_die(int pid, int *status, int options);

DESCRIPTION
The explain_waitpid_or_die function is used to call the waitpid(2) system call. On failure an explanation will be printed to stderr, obtained from explain_waitpid(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_waitpid_or_die(pid, status, options);

pid The pid, exactly as to be passed to the waitpid(2) system call.

status
    The status, exactly as to be passed to the waitpid(2) system call.

options
    The options, exactly as to be passed to the waitpid(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

waitpid(2)
    wait for process to change state

explain_waitpid(3)
    explain waitpid(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller